taylorkh
Posts: 104
Joined: Mon Nov 20, 2017 7:57 pm

Upgrade ussue Ubuntu Mate 18.04 on Pi 3B+

Fri Aug 02, 2019 4:05 pm

I am getting this error on 3 of 3 Pi 3B+ computers so I suspect it is a bigger picture issue rather than my systems:

Code: Select all

[email protected]:~# apt-get upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  linux-firmware-raspi2
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
4 not fully installed or removed.
Need to get 0 B/3,612 kB of archives.
After this operation, 35.8 kB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database ... 145272 files and directories currently installed.)
Preparing to unpack .../linux-firmware-raspi2_1.20190215-0ubuntu0.18.04.1_armhf.deb ...
Unpacking linux-firmware-raspi2 (1.20190215-0ubuntu0.18.04.1) over (1.20180919-0ubuntu0.18.04.2) ...
dpkg: error processing archive /var/cache/apt/archives/linux-firmware-raspi2_1.20190215-0ubuntu0.18.04.1_armhf.deb (--unpack):
 trying to overwrite '/lib/firmware/brcm/BCM43430A1.hcd', which is also in package bluez-firmware 1.2-4+rpt1~bionic1.0
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/linux-firmware-raspi2_1.20190215-0ubuntu0.18.04.1_armhf.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Does anyone have any information or perhaps a work around?

TIA,

Ken

fruitoftheloom
Posts: 21098
Joined: Tue Mar 25, 2014 12:40 pm
Location: Delightful Dorset

Re: Upgrade ussue Ubuntu Mate 18.04 on Pi 3B+

Fri Aug 02, 2019 5:01 pm

taylorkh wrote:
Fri Aug 02, 2019 4:05 pm
I am getting this error on 3 of 3 Pi 3B+ computers so I suspect it is a bigger picture issue rather than my systems:

Code: Select all

[email protected]:~# apt-get upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  linux-firmware-raspi2
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
4 not fully installed or removed.
Need to get 0 B/3,612 kB of archives.
After this operation, 35.8 kB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database ... 145272 files and directories currently installed.)
Preparing to unpack .../linux-firmware-raspi2_1.20190215-0ubuntu0.18.04.1_armhf.deb ...
Unpacking linux-firmware-raspi2 (1.20190215-0ubuntu0.18.04.1) over (1.20180919-0ubuntu0.18.04.2) ...
dpkg: error processing archive /var/cache/apt/archives/linux-firmware-raspi2_1.20190215-0ubuntu0.18.04.1_armhf.deb (--unpack):
 trying to overwrite '/lib/firmware/brcm/BCM43430A1.hcd', which is also in package bluez-firmware 1.2-4+rpt1~bionic1.0
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/linux-firmware-raspi2_1.20190215-0ubuntu0.18.04.1_armhf.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Does anyone have any information or perhaps a work around?

TIA,

Ken

Have you asked the developers for help ?

https://ubuntu-mate.org/raspberry-pi/
Retired disgracefully.....
This at present is my daily "computer" https://www.asus.com/us/Chrome-Devices/Chromebit-CS10/

taylorkh
Posts: 104
Joined: Mon Nov 20, 2017 7:57 pm

Re: Upgrade ussue Ubuntu Mate 18.04 on Pi 3B+

Fri Aug 02, 2019 9:46 pm

Yes. I am looking at some replies over there.

bjtheone
Posts: 397
Joined: Mon May 20, 2019 11:28 pm
Location: The Frozen North (AKA Canada)

Re: Upgrade ussue Ubuntu Mate 18.04 on Pi 3B+

Sat Aug 03, 2019 4:16 pm

The issue is that you have a conflict between linux-firmware-raspi2 and bluez-firmware 1.2-4+rpt1~bionic1.0.

The "bluez" package is for Bluetooth dongles based on the Broadcom BCM203x chipset. I don't use bluetooth on my PI 3b+ and forced the install. Does not seem to have any disastrous results.

If you want to override it, you can do force the install via:

sudo dpkg -i --force-overwrite <filename>

which will be
sudo dpkg -i --force-overwrite /var/cache/apt/archives/linux-firmware-raspi2_1.20190215-0ubuntu0.18.04.1_armhf.deb

and then

sudo apt-get -f install

taylorkh
Posts: 104
Joined: Mon Nov 20, 2017 7:57 pm

Re: Upgrade ussue Ubuntu Mate 18.04 on Pi 3B+

Sun Aug 04, 2019 2:33 pm

Thanks bjtheone

I am seeing similar answers here https://ubuntu-mate.community/t/error-u ... 3b/20001/7

Ken

Return to “Ubuntu”